'use strict';

const Sequelize = require('./index');
const sequelize = require('./test/support').createSequelizeInstance();

const User = sequelize.define('user', {
  name: {
    type: Sequelize.STRING,
    allowNull: false,
    validate: {
      notNull: {
        msg: 'Please enter your name'
      }
    }
  }
});

sequelize
  .sync({ force: true })
  .then(() => {
    return User.create({ name: 'dsd' });
  })
  .catch(e => {
    console.log(JSON.stringify(e, null, 2));
  });